Opened 2 years ago

Closed 2 years ago

Last modified 2 years ago

#1884 closed defect (not a bug)

CRIT [uterWatchdog] 2p.router.tasks.RouterWatchdog: Router appears hung, or there is severe network congestion

Reported by: anonymous maybe Owned by:
Priority: critical Milestone: undecided
Component: unspecified Version: 0.9.27
Keywords: Cc:
Parent Tickets:

Description

i just left i2p running the entire night (yesterday) , and i found out this is in the logs:-

  • I2P Version and Running Environment

I2P version: 0.9.27-0
Java version: Oracle Corporation 1.7.0_45 (Java(TM) SE Runtime Environment 1.7.0_45-b18)
Wrapper version: none
Server version: 8.1.17.v20150415
Servlet version: Jasper JSP 2.1 Engine
JSTL version: standard-taglib 1.2.0
Platform: Windows XP x86 5.1
Jcpuid version: 3
Processor: Ivy Bridge (coreisbr)
Jbigi: Locally optimized library jbigi-windows-coreisbr.dll loaded from file
Jbigi version: 3
GMP version: 6.0.0
Encoding: Cp1252
Charset: windows-1252

  • Critical Logs

17/11/16 04:35:11 CRIT [uterWatchdog] 2p.router.tasks.RouterWatchdog?: Router appears hung, or there is severe network congestion. Watchdog starts barking!
17/11/16 04:12:11 CRIT [uterWatchdog] 2p.router.tasks.RouterWatchdog?: Router appears hung, or there is severe network congestion. Watchdog starts barking!
17/11/16 03:00:13 CRIT [uterWatchdog] 2p.router.tasks.RouterWatchdog?: Router appears hung, or there is severe network congestion. Watchdog starts barking!
17/11/16 01:49:11 CRIT [uterWatchdog] 2p.router.tasks.RouterWatchdog?: Router appears hung, or there is severe network congestion. Watchdog starts barking!
17/11/16 01:02:11 CRIT [uterWatchdog] 2p.router.tasks.RouterWatchdog?: Router appears hung, or there is severe network congestion. Watchdog starts barking!

  • Router Logs

17/11/16 04:53:11 ERROR [uterWatchdog] 2p.router.tasks.RouterWatchdog?: Memory: 26.46MB / 123.75MB
17/11/16 04:53:11 ERROR [uterWatchdog] 2p.router.tasks.RouterWatchdog?: Outbound send rate: 1.03KBps
17/11/16 04:53:11 ERROR [uterWatchdog] 2p.router.tasks.RouterWatchdog?: 1 minute send processing time: 78ms
17/11/16 04:53:11 ERROR [uterWatchdog] 2p.router.tasks.RouterWatchdog?: Participating tunnel count: 0
17/11/16 04:53:11 ERROR [uterWatchdog] 2p.router.tasks.RouterWatchdog?: Job lag: 0
17/11/16 04:53:11 ERROR [uterWatchdog] 2p.router.tasks.RouterWatchdog?: Ready and waiting jobs: 0
17/11/16 04:53:11 ERROR [uterWatchdog] client.ClientManagerFacadeImpl?: Client CrVrLV has a leaseSet that expired 28m ago
17/11/16 04:52:11 ERROR [uterWatchdog] 2p.router.tasks.RouterWatchdog?: Memory: 31.55MB / 123.75MB
17/11/16 04:52:11 ERROR [uterWatchdog] 2p.router.tasks.RouterWatchdog?: Outbound send rate: 1.03KBps
17/11/16 04:52:11 ERROR [uterWatchdog] 2p.router.tasks.RouterWatchdog?: 1 minute send processing time: 78ms
17/11/16 04:52:11 ERROR [uterWatchdog] 2p.router.tasks.RouterWatchdog?: Participating tunnel count: 0
17/11/16 04:52:11 ERROR [uterWatchdog] 2p.router.tasks.RouterWatchdog?: Job lag: 0
17/11/16 04:52:11 ERROR [uterWatchdog] 2p.router.tasks.RouterWatchdog?: Ready and waiting jobs: 0
17/11/16 04:52:11 ERROR [uterWatchdog] client.ClientManagerFacadeImpl?: Client CrVrLV has a leaseSet that expired 27m ago
17/11/16 04:51:11 ERROR [uterWatchdog] 2p.router.tasks.RouterWatchdog?: Memory: 24.16MB / 123.75MB
17/11/16 04:51:11 ERROR [uterWatchdog] 2p.router.tasks.RouterWatchdog?: Outbound send rate: 1.55KBps
17/11/16 04:51:11 ERROR [uterWatchdog] 2p.router.tasks.RouterWatchdog?: 1 minute send processing time: 0ms
17/11/16 04:51:11 ERROR [uterWatchdog] 2p.router.tasks.RouterWatchdog?: Participating tunnel count: 0
17/11/16 04:51:11 ERROR [uterWatchdog] 2p.router.tasks.RouterWatchdog?: Job lag: 0
17/11/16 04:51:11 ERROR [uterWatchdog] 2p.router.tasks.RouterWatchdog?: Ready and waiting jobs: 0

  • Service (Wrapper) Logs

2016/11/13 18:16:38 | Unable to write to the configured log directory: C:\Documents and Settings\ehrecep\Application Data\i2p (The system cannot find the path specified. (0x3))
2016/11/13 18:16:38 | The directory does not exist.
2016/11/13 18:16:38 | Unable to write to the configured log file: C:\Documents and Settings\ehrecep\Application Data\i2p\wrapper.log (The system cannot find the path specified. (0x3))
2016/11/13 18:16:38 | Falling back to the default file in the current working directory: wrapper.log
2016/11/13 18:16:39 | Unable to write to the configured log directory: C:\Documents and Settings\ehrecep\Application Data\i2p (The system cannot find the path specified. (0x3))
2016/11/13 18:16:39 | The directory does not exist.
2016/11/13 18:16:39 | Unable to write to the configured log file: C:\Documents and Settings\ehrecep\Application Data\i2p\wrapper.log (The system cannot find the path specified. (0x3))
2016/11/13 18:16:39 | Falling back to the default file in the current working directory: wrapper.log
2016/11/13 18:16:39 | Unable to install the I2P Service service - Access is denied. (0x5)
Setting up new user directory C:\Documents and Settings\ehrecep\Application Data\I2P
Created C:\Documents and Settings\ehrecep\Application Data\I2P\eepsite
Created C:\Documents and Settings\ehrecep\Application Data\I2P\eepsite\cgi-bin
Created C:\Documents and Settings\ehrecep\Application Data\I2P\eepsite\contexts
Copied C:\Documents and Settings\ehrecep\My Documents\eepsite\contexts\base-context.xml
Copied C:\Documents and Settings\ehrecep\My Documents\eepsite\contexts\cgi-context.xml
Created C:\Documents and Settings\ehrecep\Application Data\I2P\eepsite\docroot
Copied C:\Documents and Settings\ehrecep\My Documents\eepsite\docroot\favicon.ico
Created C:\Documents and Settings\ehrecep\Application Data\I2P\eepsite\docroot\help
Copied C:\Documents and Settings\ehrecep\My Documents\eepsite\docroot\help\index.html
Copied C:\Documents and Settings\ehrecep\My Documents\eepsite\docroot\help\index_de.html
Copied C:\Documents and Settings\ehrecep\My Documents\eepsite\docroot\help\index_es.html
Copied C:\Documents and Settings\ehrecep\My Documents\eepsite\docroot\help\index_fr.html
Copied C:\Documents and Settings\ehrecep\My Documents\eepsite\docroot\help\index_na.html
Copied C:\Documents and Settings\ehrecep\My Documents\eepsite\docroot\help\index_nl.html
Copied C:\Documents and Settings\ehrecep\My Documents\eepsite\docroot\help\index_ru.html
Copied C:\Documents and Settings\ehrecep\My Documents\eepsite\docroot\help\index_sv.html
Copied C:\Documents and Settings\ehrecep\My Documents\eepsite\docroot\help\index_zh.html
Created C:\Documents and Settings\ehrecep\Application Data\I2P\eepsite\docroot\help\lib
Copied C:\Documents and Settings\ehrecep\My Documents\eepsite\docroot\help\lib\bg.png
Copied C:\Documents and Settings\ehrecep\My Documents\eepsite\docroot\help\lib\brown.png
Copied C:\Documents and Settings\ehrecep\My Documents\eepsite\docroot\help\lib\cn.png
Copied C:\Documents and Settings\ehrecep\My Documents\eepsite\docroot\help\lib\de.png
Copied C:\Documents and Settings\ehrecep\My Documents\eepsite\docroot\help\lib\eepsite.css
Copied C:\Documents and Settings\ehrecep\My Documents\eepsite\docroot\help\lib\es.png
Copied C:\Documents and Settings\ehrecep\My Documents\eepsite\docroot\help\lib\fr.png
Copied C:\Documents and Settings\ehrecep\My Documents\eepsite\docroot\help\lib\h2bg.png
Copied C:\Documents and Settings\ehrecep\My Documents\eepsite\docroot\help\lib\ir.png
Copied C:\Documents and Settings\ehrecep\My Documents\eepsite\docroot\help\lib\it.png
Copied C:\Documents and Settings\ehrecep\My Documents\eepsite\docroot\help\lib\itoopie.png
Copied C:\Documents and Settings\ehrecep\My Documents\eepsite\docroot\help\lib\jp.png
Copied C:\Documents and Settings\ehrecep\My Documents\eepsite\docroot\help\lib\nl.png
Copied C:\Documents and Settings\ehrecep\My Documents\eepsite\docroot\help\lib\ru.png
Copied C:\Documents and Settings\ehrecep\My Documents\eepsite\docroot\help\lib\se.png
Copied C:\Documents and Settings\ehrecep\My Documents\eepsite\docroot\help\lib\us.png
Copied C:\Documents and Settings\ehrecep\My Documents\eepsite\docroot\help\pagetemplate.html
Copied C:\Documents and Settings\ehrecep\My Documents\eepsite\docroot\index.html
Copied C:\Documents and Settings\ehrecep\My Documents\eepsite\docroot\robots.txt
Created C:\Documents and Settings\ehrecep\Application Data\I2P\eepsite\etc
Copied C:\Documents and Settings\ehrecep\My Documents\eepsite\etc\realm.properties
Copied C:\Documents and Settings\ehrecep\My Documents\eepsite\etc\webdefault.xml
Copied C:\Documents and Settings\ehrecep\My Documents\eepsite\jetty-jmx.xml
Copied C:\Documents and Settings\ehrecep\My Documents\eepsite\jetty-rewrite.xml
Copied C:\Documents and Settings\ehrecep\My Documents\eepsite\jetty-ssl.xml
Copied C:\Documents and Settings\ehrecep\My Documents\eepsite\jetty.xml
Created C:\Documents and Settings\ehrecep\Application Data\I2P\eepsite\logs
Created C:\Documents and Settings\ehrecep\Application Data\I2P\eepsite\webapps
Copied C:\Documents and Settings\ehrecep\My Documents\hosts.txt
Copied C:\Documents and Settings\ehrecep\My Documents\i2psnark.config
Copied C:\Documents and Settings\ehrecep\My Documents\i2ptunnel.config
Copied C:\Documents and Settings\ehrecep\My Documents\systray.config
Copied C:\Documents and Settings\ehrecep\My Documents\eepsite\jetty.xml with modifications
Copied C:\Documents and Settings\ehrecep\My Documents\eepsite\jetty-ssl.xml with modifications
Copied C:\Documents and Settings\ehrecep\My Documents\eepsite\contexts\base-context.xml with modifications
Copied C:\Documents and Settings\ehrecep\My Documents\eepsite\contexts\cgi-context.xml with modifications
Copied C:\Documents and Settings\ehrecep\My Documents\clients.config with modifications
Successfully copied data files to new user directory C:\Documents and Settings\ehrecep\Application Data\I2P
INFO: Native CPUID library jcpuid-x86-windows.dll loaded from resource
trying to load resource: jbigi-windows-coreisbr.dll
Loaded library: jar:file:/C:/Documents%20and%20Settings/ehrecep/My%20Documents/lib/jbigi.jar!/jbigi-windows-coreisbr.dll
INFO: Native BigInteger? library jbigi-windows-coreisbr.dll loaded from resource
Reseed start
Reseeding from https://i2p.manas.ca:8443/i2pseeds.su3
Unable to bind routerconsole to ::1 port 7657: java.io.IOException: IPv6 addresses unsupported
You may ignore this warning if the console is still available at http://localhost:7657
Reseed got no router infos from https://i2p.manas.ca:8443/i2pseeds.su3
Reseeding from https://i2p-0.manas.ca:8443/i2pseeds.su3
INFO: Addressbook directory addressbook created
Reseed got no router infos from https://i2p-0.manas.ca:8443/i2pseeds.su3
Reseeding from https://reseed.i2p.vzaws.com:8443/i2pseeds.su3
INFO: 75 files extracted to C:\DOCUME~1\ehrecep\LOCALS~1\Temp\i2p-7rYEy9BQ.tmp\reseeds-32809127
Reseed got 75 router infos from https://reseed.i2p.vzaws.com:8443/i2pseeds.su3 with 0 errors
Reseeding from https://i2p.mooo.com/netDb/i2pseeds.su3
INFO: 86 files extracted to C:\DOCUME~1\ehrecep\LOCALS~1\Temp\i2p-7rYEy9BQ.tmp\reseeds-573298158
Reseed got 86 router infos from https://i2p.mooo.com/netDb/i2pseeds.su3 with 0 errors
Reseed complete, 161 received
13/11/16 19:30:37 CRIT [ShutdownHook?] net.i2p.router.Router : Graceful shutdown progress: No more tunnels, starting final shutdown
13/11/16 19:30:39 CRIT [ShutdownHook?] net.i2p.router.Router : Starting final shutdown(2)
13/11/16 19:30:41 CRIT [ShutdownHook?] net.i2p.router.Router : Shutdown(2) complete
WARN: There may be another router already running. Waiting a while to be sure...
WARN: Old router was not shut down gracefully, deleting C:\Documents and Settings\ehrecep\Application Data\I2P\router.ping
INFO: Native CPUID library jcpuid-x86-windows loaded from file
INFO: Locally optimized library jbigi-windows-coreisbr.dll loaded from file
Unable to bind routerconsole to ::1 port 7657: java.io.IOException: IPv6 addresses unsupported
You may ignore this warning if the console is still available at http://localhost:7657
ERROR: There appears to be another router already running!

Please make sure to shut down old instances before starting up
a new one. If you are positive that no other instance is running,
please delete the file C:\Documents and Settings\ehrecep\Application Data\I2P\router.ping

WARN: There may be another router already running. Waiting a while to be sure...
WARN: Old router was not shut down gracefully, deleting C:\Documents and Settings\ehrecep\Application Data\I2P\router.ping
INFO: No, there wasn't another router already running. Proceeding with startup.
INFO: Native CPUID library jcpuid-x86-windows loaded from file
INFO: Locally optimized library jbigi-windows-coreisbr.dll loaded from file
WARN: Old router was not shut down gracefully, deleting C:\Documents and Settings\ehrecep\Application Data\I2P\router.ping
INFO: Native CPUID library jcpuid-x86-windows loaded from file
INFO: Locally optimized library jbigi-windows-coreisbr.dll loaded from file
Unable to bind routerconsole to ::1 port 7657: java.io.IOException: IPv6 addresses unsupported
You may ignore this warning if the console is still available at http://localhost:7657
14/11/16 17:04:41 CRIT 1/1? uter.startup.LoadRouterInfoJob?: Error reading the router info from C:\Documents and Settings\ehrecep\Application Data\I2P\router.info and the keys from C:\Documents and Settings\ehrecep\Application Data\I2P\router.keys
java.io.EOFException: EOF reading 8 byte value

at net.i2p.data.DataHelper?.readLong(DataHelper?.java:656)
at net.i2p.data.router.RouterInfo?.readBytes(RouterInfo?.java:570)
at net.i2p.data.router.RouterInfo?.readBytes(RouterInfo?.java:528)
at net.i2p.router.startup.LoadRouterInfoJob?.loadRouterInfo(LoadRouterInfoJob?.java:96)
at net.i2p.router.startup.LoadRouterInfoJob?.runJob(LoadRouterInfoJob?.java:56)
at net.i2p.router.JobQueueRunner?.runCurrentJob(JobQueueRunner?.java:135)
at net.i2p.router.JobQueueRunner?.run(JobQueueRunner?.java:78)

WARN: Old router was not shut down gracefully, deleting C:\Documents and Settings\ehrecep\Application Data\I2P\router.ping
INFO: Native CPUID library jcpuid-x86-windows loaded from file
INFO: Locally optimized library jbigi-windows-coreisbr.dll loaded from file
Unable to bind routerconsole to ::1 port 7657: java.io.IOException: IPv6 addresses unsupported
You may ignore this warning if the console is still available at http://localhost:7657
16/11/16 15:17:18 CRIT [ShutdownHook?] net.i2p.router.Router : Graceful shutdown progress: No more tunnels, starting final shutdown
16/11/16 15:17:20 CRIT [ShutdownHook?] net.i2p.router.Router : Starting final shutdown(2)
16/11/16 15:17:27 CRIT [ShutdownHook?] net.i2p.router.Router : Shutdown(2) complete
INFO: Native CPUID library jcpuid-x86-windows loaded from file
INFO: Locally optimized library jbigi-windows-coreisbr.dll loaded from file
Unable to bind routerconsole to ::1 port 7657: java.io.IOException: IPv6 addresses unsupported
You may ignore this warning if the console is still available at http://localhost:7657
17/11/16 01:02:11 CRIT [uterWatchdog] 2p.router.tasks.RouterWatchdog?: Router appears hung, or there is severe network congestion. Watchdog starts barking!
17/11/16 01:49:11 CRIT [uterWatchdog] 2p.router.tasks.RouterWatchdog?: Router appears hung, or there is severe network congestion. Watchdog starts barking!
17/11/16 03:00:13 CRIT [uterWatchdog] 2p.router.tasks.RouterWatchdog?: Router appears hung, or there is severe network congestion. Watchdog starts barking!
17/11/16 04:12:11 CRIT [uterWatchdog] 2p.router.tasks.RouterWatchdog?: Router appears hung, or there is severe network congestion. Watchdog starts barking!
17/11/16 04:35:11 CRIT [uterWatchdog] 2p.router.tasks.RouterWatchdog?: Router appears hung, or there is severe network congestion. Watchdog starts barking!

Subtickets

Change History (8)

comment:1 follow-up: Changed 2 years ago by zzz

  • Resolution set to not a bug
  • Status changed from new to closed

That's normal if you lost internet connectivity. Sometimes happens to me overnight when the ISP does maintenance.

comment:2 follow-up: Changed 2 years ago by echelon

Just want to add a issue found in logs:
Unable to write to the configured log directory: C:\Documents and Settings\ehrecep\Application Data\i2p (The system cannot find the path specified. (0x3))
The directory does not exist
Fix that config.

comment:3 in reply to: ↑ 1 Changed 2 years ago by anonymous maybe

Replying to zzz:

That's normal if you lost internet connectivity. Sometimes happens to me overnight when the ISP does maintenance.

well but this is a persistent thing in two pcs and they r in 2 diff locations?

these r the logs from debian jessie (and it wont stop even if u restart i2p).

I2P Version and Running Environment

2P version: 0.9.27-0-1~deb8u+1
Java version: Oracle Corporation 1.7.0_111 (OpenJDK Runtime Environment 1.7.0_111-b01)
Wrapper version: 3.5.25
Server version: 8.1.16.v20140903
Servlet version: Jasper JSP 2.1 Engine
JSTL version: standard-taglib 1.2.0
Platform: Linux amd64 3.16.0-4-amd64
Jcpuid version: 3
Processor: Westmere (corei)
Jbigi: Locally optimized native BigInteger? library loaded from file
Jbigi version: 4
GMP version: 6.0.0
Encoding: UTF-8
Charset: UTF-8

Critical Logs

11/18/16 5:29:58 PM CRIT [uterWatchdog] 2p.router.tasks.RouterWatchdog?: Router appears hung, or there is severe network congestion. Watchdog starts barking!
11/18/16 4:26:58 PM CRIT [uterWatchdog] 2p.router.tasks.RouterWatchdog?: Router appears hung, or there is severe network congestion. Watchdog starts barking!

Router Logs

11/18/16 5:57:58 PM ERROR [uterWatchdog] 2p.router.tasks.RouterWatchdog?: Memory: 38.03MB / 114.00MB
11/18/16 5:57:58 PM ERROR [uterWatchdog] 2p.router.tasks.RouterWatchdog?: Outbound send rate: 776Bps
11/18/16 5:57:58 PM ERROR [uterWatchdog] 2p.router.tasks.RouterWatchdog?: 1 minute send processing time: 243ms
11/18/16 5:57:58 PM ERROR [uterWatchdog] 2p.router.tasks.RouterWatchdog?: Participating tunnel count: 2
11/18/16 5:57:58 PM ERROR [uterWatchdog] 2p.router.tasks.RouterWatchdog?: Job lag: 0
11/18/16 5:57:58 PM ERROR [uterWatchdog] 2p.router.tasks.RouterWatchdog?: Ready and waiting jobs: 0
11/18/16 5:57:58 PM ERROR [uterWatchdog] client.ClientManagerFacadeImpl?: Client 8nwlmr has a leaseSet that expired 38m ago
11/18/16 5:56:58 PM ERROR [uterWatchdog] 2p.router.tasks.RouterWatchdog?: Memory: 49.92MB / 114.00MB
11/18/16 5:56:58 PM ERROR [uterWatchdog] 2p.router.tasks.RouterWatchdog?: Outbound send rate: 776Bps
11/18/16 5:56:58 PM ERROR [uterWatchdog] 2p.router.tasks.RouterWatchdog?: 1 minute send processing time: 243ms
11/18/16 5:56:58 PM ERROR [uterWatchdog] 2p.router.tasks.RouterWatchdog?: Participating tunnel count: 2
11/18/16 5:56:58 PM ERROR [uterWatchdog] 2p.router.tasks.RouterWatchdog?: Job lag: 0
11/18/16 5:56:58 PM ERROR [uterWatchdog] 2p.router.tasks.RouterWatchdog?: Ready and waiting jobs: 0
11/18/16 5:56:58 PM ERROR [uterWatchdog] client.ClientManagerFacadeImpl?: Client 8nwlmr has a leaseSet that expired 37m ago
11/18/16 5:55:58 PM ERROR [uterWatchdog] 2p.router.tasks.RouterWatchdog?: Memory: 44.39MB / 114.00MB
11/18/16 5:55:58 PM ERROR [uterWatchdog] 2p.router.tasks.RouterWatchdog?: Outbound send rate: 1.05KBps
11/18/16 5:55:58 PM ERROR [uterWatchdog] 2p.router.tasks.RouterWatchdog?: 1 minute send processing time: 444ms
11/18/16 5:55:58 PM ERROR [uterWatchdog] 2p.router.tasks.RouterWatchdog?: Participating tunnel count: 2
11/18/16 5:55:58 PM ERROR [uterWatchdog] 2p.router.tasks.RouterWatchdog?: Job lag: 0
11/18/16 5:55:58 PM ERROR [uterWatchdog] 2p.router.tasks.RouterWatchdog?: Ready and waiting jobs: 0

Service (Wrapper) Logs

2016/11/10 09:44:34 |
2016/11/10 09:44:34 | "YK Precalc" daemon prio=10 tid=0x0000000001074800 nid=0xa7d waiting on condition [0x00007fa430eb8000]
2016/11/10 09:44:34 | java.lang.Thread.State: TIMED_WAITING (sleeping)
2016/11/10 09:44:34 | at java.lang.Thread.sleep(Native Method)
2016/11/10 09:44:34 | at net.i2p.crypto.YKGenerator$YKPrecalcRunner.run(YKGenerator.java:233)
2016/11/10 09:44:34 | at java.lang.Thread.run(Thread.java:745)
2016/11/10 09:44:34 | at net.i2p.util.I2PThread.run(I2PThread.java:103)
2016/11/10 09:44:34 |
2016/11/10 09:44:34 | "PRNG" daemon prio=10 tid=0x0000000000fcc800 nid=0xa78 waiting on condition [0x00007fa430db7000]
2016/11/10 09:44:34 | java.lang.Thread.State: WAITING (parking)
2016/11/10 09:44:34 | at sun.misc.Unsafe.park(Native Method)
2016/11/10 09:44:34 | - parking to wait for <0x00000000f83c6d98> (a java.util.concurrent.locks.AbstractQueuedSynchronizer?$ConditionObject?)
2016/11/10 09:44:34 | at java.util.concurrent.locks.LockSupport?.park(LockSupport?.java:186)
2016/11/10 09:44:34 | at java.util.concurrent.locks.AbstractQueuedSynchronizer?$ConditionObject?.await(AbstractQueuedSynchronizer?.java:2043)
2016/11/10 09:44:34 | at java.util.concurrent.LinkedBlockingQueue?.take(LinkedBlockingQueue?.java:442)
2016/11/10 09:44:34 | at gnu.crypto.prng.AsyncFortunaStandalone?.run(AsyncFortunaStandalone?.java:134)
2016/11/10 09:44:34 | at java.lang.Thread.run(Thread.java:745)
2016/11/10 09:44:34 | at net.i2p.util.I2PThread.run(I2PThread.java:103)
2016/11/10 09:44:34 |
2016/11/10 09:44:34 | "SimpleTimer2 4/4" daemon prio=10 tid=0x0000000000fb8800 nid=0xa76 waiting on condition [0x00007fa430fb9000]
2016/11/10 09:44:34 | java.lang.Thread.State: WAITING (parking)
2016/11/10 09:44:34 | at sun.misc.Unsafe.park(Native Method)
2016/11/10 09:44:34 | - parking to wait for <0x00000000f8322b08> (a java.util.concurrent.locks.AbstractQueuedSynchronizer?$ConditionObject?)
2016/11/10 09:44:34 | at java.util.concurrent.locks.LockSupport?.park(LockSupport?.java:186)
2016/11/10 09:44:34 | at java.util.concurrent.locks.AbstractQueuedSynchronizer?$ConditionObject?.await(AbstractQueuedSynchronizer?.java:2043)
2016/11/10 09:44:34 | at java.util.concurrent.ScheduledThreadPoolExecutor?$DelayedWorkQueue?.take(ScheduledThreadPoolExecutor?.java:1085)
2016/11/10 09:44:34 | at java.util.concurrent.ScheduledThreadPoolExecutor?$DelayedWorkQueue?.take(ScheduledThreadPoolExecutor?.java:807)
2016/11/10 09:44:34 | at java.util.concurrent.ThreadPoolExecutor?.getTask(ThreadPoolExecutor?.java:1068)
2016/11/10 09:44:34 | at java.util.concurrent.ThreadPoolExecutor?.runWorker(ThreadPoolExecutor?.java:1130)
2016/11/10 09:44:34 | at java.util.concurrent.ThreadPoolExecutor?$Worker.run(ThreadPoolExecutor?.java:615)
2016/11/10 09:44:34 | at java.lang.Thread.run(Thread.java:745)
2016/11/10 09:44:34 |
2016/11/10 09:44:34 | "SimpleTimer2 3/4" daemon prio=10 tid=0x0000000000fb6800 nid=0xa75 waiting on condition [0x00007fa4310ba000]
2016/11/10 09:44:34 | java.lang.Thread.State: TIMED_WAITING (parking)
2016/11/10 09:44:34 | at sun.misc.Unsafe.park(Native Method)
2016/11/10 09:44:34 | - parking to wait for <0x00000000f8322b08> (a java.util.concurrent.locks.AbstractQueuedSynchronizer?$ConditionObject?)
2016/11/10 09:44:34 | at java.util.concurrent.locks.LockSupport?.parkNanos(LockSupport?.java:226)
2016/11/10 09:44:34 | at java.util.concurrent.locks.AbstractQueuedSynchronizer?$ConditionObject?.awaitNanos(AbstractQueuedSynchronizer?.java:2082)
2016/11/10 09:44:34 | at java.util.concurrent.ScheduledThreadPoolExecutor?$DelayedWorkQueue?.take(ScheduledThreadPoolExecutor?.java:1090)
2016/11/10 09:44:34 | at java.util.concurrent.ScheduledThreadPoolExecutor?$DelayedWorkQueue?.take(ScheduledThreadPoolExecutor?.java:807)
2016/11/10 09:44:34 | at java.util.concurrent.ThreadPoolExecutor?.getTask(ThreadPoolExecutor?.java:1068)
2016/11/10 09:44:34 | at java.util.concurrent.ThreadPoolExecutor?.runWorker(ThreadPoolExecutor?.java:1130)
2016/11/10 09:44:34 | at java.util.concurrent.ThreadPoolExecutor?$Worker.run(ThreadPoolExecutor?.java:615)
2016/11/10 09:44:34 | at java.lang.Thread.run(Thread.java:745)
2016/11/10 09:44:34 |
2016/11/10 09:44:34 | "SimpleTimer2 2/4" daemon prio=10 tid=0x0000000000fb5000 nid=0xa74 waiting on condition [0x00007fa4311bb000]
2016/11/10 09:44:34 | java.lang.Thread.State: WAITING (parking)
2016/11/10 09:44:34 | at sun.misc.Unsafe.park(Native Method)
2016/11/10 09:44:34 | - parking to wait for <0x00000000f8322b08> (a java.util.concurrent.locks.AbstractQueuedSynchronizer?$ConditionObject?)
2016/11/10 09:44:34 | at java.util.concurrent.locks.LockSupport?.park(LockSupport?.java:186)
2016/11/10 09:44:34 | at java.util.concurrent.locks.AbstractQueuedSynchronizer?$ConditionObject?.await(AbstractQueuedSynchronizer?.java:2043)
2016/11/10 09:44:34 | at java.util.concurrent.ScheduledThreadPoolExecutor?$DelayedWorkQueue?.take(ScheduledThreadPoolExecutor?.java:1085)
2016/11/10 09:44:34 | at java.util.concurrent.ScheduledThreadPoolExecutor?$DelayedWorkQueue?.take(ScheduledThreadPoolExecutor?.java:807)
2016/11/10 09:44:34 | at java.util.concurrent.ThreadPoolExecutor?.getTask(ThreadPoolExecutor?.java:1068)
2016/11/10 09:44:34 | at java.util.concurrent.ThreadPoolExecutor?.runWorker(ThreadPoolExecutor?.java:1130)
2016/11/10 09:44:34 | at java.util.concurrent.ThreadPoolExecutor?$Worker.run(ThreadPoolExecutor?.java:615)
2016/11/10 09:44:34 | at java.lang.Thread.run(Thread.java:745)
2016/11/10 09:44:34 |
2016/11/10 09:44:34 | "SimpleTimer2 1/4" daemon prio=10 tid=0x0000000000faf800 nid=0xa73 waiting on condition [0x00007fa4312bc000]
2016/11/10 09:44:34 | java.lang.Thread.State: WAITING (parking)
2016/11/10 09:44:34 | at sun.misc.Unsafe.park(Native Method)
2016/11/10 09:44:34 | - parking to wait for <0x00000000f8322b08> (a java.util.concurrent.locks.AbstractQueuedSynchronizer?$ConditionObject?)
2016/11/10 09:44:34 | at java.util.concurrent.locks.LockSupport?.park(LockSupport?.java:186)
2016/11/10 09:44:34 | at java.util.concurrent.locks.AbstractQueuedSynchronizer?$ConditionObject?.await(AbstractQueuedSynchronizer?.java:2043)
2016/11/10 09:44:34 | at java.util.concurrent.ScheduledThreadPoolExecutor?$DelayedWorkQueue?.take(ScheduledThreadPoolExecutor?.java:1085)
2016/11/10 09:44:34 | at java.util.concurrent.ScheduledThreadPoolExecutor?$DelayedWorkQueue?.take(ScheduledThreadPoolExecutor?.java:807)
2016/11/10 09:44:34 | at java.util.concurrent.ThreadPoolExecutor?.getTask(ThreadPoolExecutor?.java:1068)
2016/11/10 09:44:34 | at java.util.concurrent.ThreadPoolExecutor?.runWorker(ThreadPoolExecutor?.java:1130)
2016/11/10 09:44:34 | at java.util.concurrent.ThreadPoolExecutor?$Worker.run(ThreadPoolExecutor?.java:615)
2016/11/10 09:44:34 | at java.lang.Thread.run(Thread.java:745)
2016/11/10 09:44:34 |
2016/11/10 09:44:34 | "LogWriter?" daemon prio=10 tid=0x0000000000fa6000 nid=0xa72 in Object.wait() [0x00007fa4313bd000]
2016/11/10 09:44:34 | java.lang.Thread.State: TIMED_WAITING (on object monitor)
2016/11/10 09:44:34 | at java.lang.Object.wait(Native Method)
2016/11/10 09:44:34 | - waiting on <0x00000000f82bf0e8> (a net.i2p.util.FileLogWriter?)
2016/11/10 09:44:34 | at net.i2p.util.LogWriter?.flushRecords(LogWriter?.java:125)
2016/11/10 09:44:34 | - locked <0x00000000f82bf0e8> (a net.i2p.util.FileLogWriter?)
2016/11/10 09:44:34 | at net.i2p.util.LogWriter?.flushRecords(LogWriter?.java:90)
2016/11/10 09:44:34 | at net.i2p.util.LogWriter?.run(LogWriter?.java:79)
2016/11/10 09:44:34 | at java.lang.Thread.run(Thread.java:745)
2016/11/10 09:44:34 | at net.i2p.util.I2PThread.run(I2PThread.java:103)
2016/11/10 09:44:34 |
2016/11/10 09:44:34 | "Timestamper" daemon prio=10 tid=0x0000000000f78800 nid=0xa71 waiting on condition [0x00007fa4316d8000]
2016/11/10 09:44:34 | java.lang.Thread.State: TIMED_WAITING (sleeping)
2016/11/10 09:44:34 | at java.lang.Thread.sleep(Native Method)
2016/11/10 09:44:34 | at net.i2p.router.time.RouterTimestamper?.run(RouterTimestamper?.java:252)
2016/11/10 09:44:34 | at java.lang.Thread.run(Thread.java:745)
2016/11/10 09:44:34 | at net.i2p.util.I2PThread.run(I2PThread.java:103)
2016/11/10 09:44:34 |
2016/11/10 09:44:34 | "DestroyJavaVM" prio=10 tid=0x00007fa44c00b000 nid=0xa5d waiting on condition [0x0000000000000000]
2016/11/10 09:44:34 | java.lang.Thread.State: RUNNABLE
2016/11/10 09:44:34 |
2016/11/10 09:44:34 | "Wrapper-Connection" daemon prio=10 tid=0x00007fa44c36a000 nid=0xa6e runnable [0x00007fa4319db000]
2016/11/10 09:44:34 | java.lang.Thread.State: RUNNABLE
2016/11/10 09:44:34 | at java.net.SocketInputStream?.socketRead0(Native Method)
2016/11/10 09:44:34 | at java.net.SocketInputStream?.read(SocketInputStream?.java:152)
2016/11/10 09:44:34 | at java.net.SocketInputStream?.read(SocketInputStream?.java:122)
2016/11/10 09:44:34 | at java.net.SocketInputStream?.read(SocketInputStream?.java:210)
2016/11/10 09:44:34 | at java.io.DataInputStream?.readByte(DataInputStream?.java:265)
2016/11/10 09:44:34 | at org.tanukisoftware.wrapper.WrapperManager?.handleBackend(WrapperManager?.java:5355)
2016/11/10 09:44:34 | at org.tanukisoftware.wrapper.WrapperManager?.run(WrapperManager?.java:5732)
2016/11/10 09:44:34 | at java.lang.Thread.run(Thread.java:745)
2016/11/10 09:44:34 |
2016/11/10 09:44:34 | "Wrapper-Control-Event-Monitor" daemon prio=10 tid=0x00007fa44c34f000 nid=0xa6c waiting on condition [0x00007fa431bdd000]
2016/11/10 09:44:34 | java.lang.Thread.State: TIMED_WAITING (sleeping)
2016/11/10 09:44:34 | at java.lang.Thread.sleep(Native Method)
2016/11/10 09:44:34 | at org.tanukisoftware.wrapper.WrapperManager?$3.run(WrapperManager?.java:1018)
2016/11/10 09:44:34 |
2016/11/10 09:44:34 | "Service Thread" daemon prio=10 tid=0x00007fa44c0ab000 nid=0xa66 runnable [0x0000000000000000]
2016/11/10 09:44:34 | java.lang.Thread.State: RUNNABLE
2016/11/10 09:44:34 |
2016/11/10 09:44:34 | "C2 CompilerThread1" daemon prio=10 tid=0x00007fa44c0a8800 nid=0xa65 waiting on condition [0x0000000000000000]
2016/11/10 09:44:34 | java.lang.Thread.State: RUNNABLE
2016/11/10 09:44:34 |
2016/11/10 09:44:34 | "C2 CompilerThread0" daemon prio=10 tid=0x00007fa44c0a5800 nid=0xa64 waiting on condition [0x0000000000000000]
2016/11/10 09:44:34 | java.lang.Thread.State: RUNNABLE
2016/11/10 09:44:34 |
2016/11/10 09:44:34 | "Signal Dispatcher" daemon prio=10 tid=0x00007fa44c0a3800 nid=0xa63 waiting on condition [0x0000000000000000]
2016/11/10 09:44:34 | java.lang.Thread.State: RUNNABLE
2016/11/10 09:44:34 |
2016/11/10 09:44:34 | "Finalizer" daemon prio=10 tid=0x00007fa44c078800 nid=0xa62 in Object.wait() [0x00007fa4482fe000]
2016/11/10 09:44:34 | java.lang.Thread.State: WAITING (on object monitor)
2016/11/10 09:44:34 | at java.lang.Object.wait(Native Method)
2016/11/10 09:44:34 | - waiting on <0x00000000f82e7c20> (a java.lang.ref.ReferenceQueue?$Lock)
2016/11/10 09:44:34 | at java.lang.ref.ReferenceQueue?.remove(ReferenceQueue?.java:135)
2016/11/10 09:44:34 | - locked <0x00000000f82e7c20> (a java.lang.ref.ReferenceQueue?$Lock)
2016/11/10 09:44:34 | at java.lang.ref.ReferenceQueue?.remove(ReferenceQueue?.java:151)
2016/11/10 09:44:34 | at java.lang.ref.Finalizer$FinalizerThread?.run(Finalizer.java:209)
2016/11/10 09:44:34 |
2016/11/10 09:44:34 | "Reference Handler" daemon prio=10 tid=0x00007fa44c076800 nid=0xa61 in Object.wait() [0x00007fa4483ff000]
2016/11/10 09:44:34 | java.lang.Thread.State: WAITING (on object monitor)
2016/11/10 09:44:34 | at java.lang.Object.wait(Native Method)
2016/11/10 09:44:34 | - waiting on <0x00000000f82e77b8> (a java.lang.ref.Reference$Lock)
2016/11/10 09:44:34 | at java.lang.Object.wait(Object.java:503)
2016/11/10 09:44:34 | at java.lang.ref.Reference$ReferenceHandler?.run(Reference.java:133)
2016/11/10 09:44:34 | - locked <0x00000000f82e77b8> (a java.lang.ref.Reference$Lock)
2016/11/10 09:44:34 |
2016/11/10 09:44:34 | "VM Thread" prio=10 tid=0x00007fa44c072800 nid=0xa60 runnable
2016/11/10 09:44:34 |
2016/11/10 09:44:34 | "GC task thread#0 (ParallelGC)" prio=10 tid=0x00007fa44c021000 nid=0xa5e runnable
2016/11/10 09:44:34 |
2016/11/10 09:44:34 | "GC task thread#1 (ParallelGC)" prio=10 tid=0x00007fa44c023000 nid=0xa5f runnable
2016/11/10 09:44:34 |
2016/11/10 09:44:34 | "VM Periodic Task Thread" prio=10 tid=0x00007fa44c0b5800 nid=0xa67 waiting on condition
2016/11/10 09:44:34 |
2016/11/10 09:44:34 | JNI global references: 4752
2016/11/10 09:44:34 |
2016/11/10 09:44:34 | Heap
2016/11/10 09:44:34 | PSYoungGen total 18432K, used 11894K [0x00000000fd500000, 0x00000000fe900000, 0x0000000100000000)
2016/11/10 09:44:34 | eden space 16384K, 62% used [0x00000000fd500000,0x00000000fdefbba8,0x00000000fe500000)
2016/11/10 09:44:34 | from space 2048K, 81% used [0x00000000fe500000,0x00000000fe6a1dc8,0x00000000fe700000)
2016/11/10 09:44:34 | to space 2048K, 0% used [0x00000000fe700000,0x00000000fe700000,0x00000000fe900000)
2016/11/10 09:44:34 | ParOldGen? total 34816K, used 20242K [0x00000000f8000000, 0x00000000fa200000, 0x00000000fd500000)
2016/11/10 09:44:34 | object space 34816K, 58% used [0x00000000f8000000,0x00000000f93c4ac8,0x00000000fa200000)
2016/11/10 09:44:34 | PSPermGen total 49152K, used 35947K [0x00000000eda00000, 0x00000000f0a00000, 0x00000000f8000000)
2016/11/10 09:44:34 | object space 49152K, 73% used [0x00000000eda00000,0x00000000efd1ae88,0x00000000f0a00000)
2016/11/10 09:44:34 |
2016/11/10 10:02:47 | CRIT [ShutdownHook?] net.i2p.router.Router : Graceful shutdown progress: No more tunnels, starting final shutdown
2016/11/10 10:02:47 | CRIT [ShutdownHook?] net.i2p.router.Router : Starting final shutdown(5)
2016/11/10 10:02:47 | CRIT [ShutdownHook?] net.i2p.router.Router : Shutdown(5) complete
2016/11/10 10:02:49 | on_exit trigger matched. Restarting the JVM. (Exit code: 5)
2016/11/10 10:03:04 | Launching a JVM...
2016/11/10 10:03:04 | WrapperManager?: Initializing...
2016/11/10 10:03:05 | Starting I2P 0.9.27-0-1~deb8u+1
2016/11/10 10:03:05 | INFO: Native CPUID library jcpuid-x86-linux loaded from file
2016/11/10 10:03:05 | INFO: Locally optimized native BigInteger? library loaded from file
2016/11/15 09:59:37 | Reseed start
2016/11/15 09:59:37 | Reseeding from https://uk.reseed.i2p2.no:444/i2pseeds.su3
2016/11/15 09:59:40 | INFO: 60 files extracted to /tmp/i2p-xqBx951x.tmp/reseeds-236512935
2016/11/15 09:59:40 | Reseed got 60 router infos from https://uk.reseed.i2p2.no:444/i2pseeds.su3 with 0 errors
2016/11/15 09:59:40 | Reseeding from https://download.xxlspeed.com/i2pseeds.su3
2016/11/15 09:59:43 | INFO: 77 files extracted to /tmp/i2p-xqBx951x.tmp/reseeds-921763607
2016/11/15 09:59:43 | Reseed got 77 router infos from https://download.xxlspeed.com/i2pseeds.su3 with 0 errors
2016/11/15 09:59:43 | Reseed complete, 137 received
2016/11/16 06:59:47 | Reseed start
2016/11/16 06:59:47 | Reseeding from https://i2p.mooo.com/netDb/i2pseeds.su3
2016/11/16 06:59:48 | INFO: 80 files extracted to /tmp/i2p-xqBx951x.tmp/reseeds-351680885
2016/11/16 06:59:48 | Reseed got 80 router infos from https://i2p.mooo.com/netDb/i2pseeds.su3 with 0 errors
2016/11/16 06:59:48 | Reseeding from https://i2p-0.manas.ca:8443/i2pseeds.su3
2016/11/16 06:59:51 | INFO: 77 files extracted to /tmp/i2p-xqBx951x.tmp/reseeds-467867174
2016/11/16 06:59:51 | Reseed got 77 router infos from https://i2p-0.manas.ca:8443/i2pseeds.su3 with 0 errors
2016/11/16 06:59:51 | Reseed complete, 157 received
2016/11/16 10:11:51 | Reseed start
2016/11/16 10:11:51 | Reseeding from https://i2p.mooo.com/netDb/i2pseeds.su3
2016/11/16 10:11:53 | INFO: 80 files extracted to /tmp/i2p-xqBx951x.tmp/reseeds-245465791
2016/11/16 10:11:53 | Reseed got 80 router infos from https://i2p.mooo.com/netDb/i2pseeds.su3 with 0 errors
2016/11/16 10:11:53 | Reseeding from https://reseed.atomike.ninja/i2pseeds.su3
2016/11/16 10:11:55 | INFO: 77 files extracted to /tmp/i2p-xqBx951x.tmp/reseeds-93222025
2016/11/16 10:11:55 | Reseed got 77 router infos from https://reseed.atomike.ninja/i2pseeds.su3 with 0 errors
2016/11/16 10:11:55 | Reseed complete, 157 received
2016/11/16 11:41:55 | Reseed start
2016/11/16 11:41:55 | Reseeding from https://reseed.atomike.ninja/i2pseeds.su3
2016/11/16 11:41:57 | INFO: 77 files extracted to /tmp/i2p-xqBx951x.tmp/reseeds-7955444
2016/11/16 11:41:57 | Reseed got 77 router infos from https://reseed.atomike.ninja/i2pseeds.su3 with 0 errors
2016/11/16 11:41:57 | Reseeding from https://i2p.mooo.com/netDb/i2pseeds.su3
2016/11/16 11:41:58 | INFO: 80 files extracted to /tmp/i2p-xqBx951x.tmp/reseeds-348890010
2016/11/16 11:41:58 | Reseed got 80 router infos from https://i2p.mooo.com/netDb/i2pseeds.su3 with 0 errors
2016/11/16 11:41:58 | Reseed complete, 157 received
2016/11/16 13:11:59 | Reseed start
2016/11/16 13:11:59 | Reseeding from https://i2p.mooo.com/netDb/i2pseeds.su3
2016/11/16 13:12:00 | INFO: 80 files extracted to /tmp/i2p-xqBx951x.tmp/reseeds-844256003
2016/11/16 13:12:00 | Reseed got 80 router infos from https://i2p.mooo.com/netDb/i2pseeds.su3 with 0 errors
2016/11/16 13:12:00 | Reseeding from https://netdb.i2p2.no/i2pseeds.su3
2016/11/16 13:12:03 | INFO: 75 files extracted to /tmp/i2p-xqBx951x.tmp/reseeds-824671411
2016/11/16 13:12:03 | Reseed got 75 router infos from https://netdb.i2p2.no/i2pseeds.su3 with 0 errors
2016/11/16 13:12:03 | Reseed complete, 155 received
2016/11/16 14:42:04 | Reseed start
2016/11/16 14:42:04 | Reseeding from https://i2p.manas.ca:8443/i2pseeds.su3
2016/11/16 14:42:06 | INFO: 77 files extracted to /tmp/i2p-xqBx951x.tmp/reseeds-595590426
2016/11/16 14:42:06 | Reseed got 77 router infos from https://i2p.manas.ca:8443/i2pseeds.su3 with 0 errors
2016/11/16 14:42:06 | Reseeding from https://download.xxlspeed.com/i2pseeds.su3
2016/11/16 14:42:09 | INFO: 77 files extracted to /tmp/i2p-xqBx951x.tmp/reseeds-779352391
2016/11/16 14:42:09 | Reseed got 77 router infos from https://download.xxlspeed.com/i2pseeds.su3 with 0 errors
2016/11/16 14:42:09 | Reseed complete, 154 received
2016/11/16 15:05:26 | Reseed start
2016/11/16 15:05:26 | Reseeding from https://i2p.manas.ca:8443/i2pseeds.su3
2016/11/16 15:05:29 | INFO: 77 files extracted to /tmp/i2p-xqBx951x.tmp/reseeds-953100997
2016/11/16 15:05:29 | Reseed got 77 router infos from https://i2p.manas.ca:8443/i2pseeds.su3 with 0 errors
2016/11/16 15:05:29 | Reseeding from https://reseed.atomike.ninja/i2pseeds.su3
2016/11/16 15:05:30 | INFO: 77 files extracted to /tmp/i2p-xqBx951x.tmp/reseeds-986772522
2016/11/16 15:05:30 | Reseed got 77 router infos from https://reseed.atomike.ninja/i2pseeds.su3 with 0 errors
2016/11/16 15:05:30 | Reseed complete, 154 received
2016/11/16 15:07:02 | CRIT [ShutdownHook?] net.i2p.router.Router : Graceful shutdown progress: No more tunnels, starting final shutdown
2016/11/16 15:07:02 | CRIT [ShutdownHook?] net.i2p.router.Router : Starting final shutdown(5)
2016/11/16 15:07:02 | CRIT [ShutdownHook?] net.i2p.router.Router : Shutdown(5) complete
2016/11/16 15:07:04 | on_exit trigger matched. Restarting the JVM. (Exit code: 5)
2016/11/16 15:07:18 | Launching a JVM...
2016/11/16 15:07:19 | WrapperManager?: Initializing...
2016/11/16 15:07:19 | Starting I2P 0.9.27-0-1~deb8u+1
2016/11/16 15:07:19 | INFO: Native CPUID library jcpuid-x86-linux loaded from file
2016/11/16 15:07:19 | INFO: Locally optimized native BigInteger? library loaded from file
2016/11/18 06:45:20 | CRIT [uterWatchdog] 2p.router.tasks.RouterWatchdog?: Router appears hung, or there is severe network congestion. Watchdog starts barking!
2016/11/18 10:02:32 | CRIT [uterWatchdog] 2p.router.tasks.RouterWatchdog?: Router appears hung, or there is severe network congestion. Watchdog starts barking!
2016/11/18 14:43:21 | CRIT [uterWatchdog] 2p.router.tasks.RouterWatchdog?: Router appears hung, or there is severe network congestion. Watchdog starts barking!
2016/11/18 20:57:28 | CRIT [uterWatchdog] 2p.router.tasks.RouterWatchdog?: Router appears hung, or there is severe network congestion. Watchdog starts barking!
2016/11/19 02:54:39 | CRIT [uterWatchdog] 2p.router.tasks.RouterWatchdog?: Router appears hung, or there is severe network congestion. Watchdog starts barking!
2016/11/19 03:35:44 | CRIT [uterWatchdog] 2p.router.tasks.RouterWatchdog?: Router appears hung, or there is severe network congestion. Watchdog starts barking!
2016/11/19 03:44:59 | CRIT [ShutdownHook?] net.i2p.router.Router : Graceful shutdown progress: No more tunnels, starting final shutdown
2016/11/19 03:45:03 | CRIT [ShutdownHook?] net.i2p.router.Router : Starting final shutdown(5)
2016/11/19 03:45:03 | CRIT [ShutdownHook?] net.i2p.router.Router : Shutdown(5) complete
2016/11/19 03:45:06 | on_exit trigger matched. Restarting the JVM. (Exit code: 5)
2016/11/19 03:45:20 | Launching a JVM...
2016/11/19 03:45:20 | WrapperManager?: Initializing...
2016/11/19 03:45:20 | Starting I2P 0.9.27-0-1~deb8u+1
2016/11/19 03:45:21 | INFO: Native CPUID library jcpuid-x86-linux loaded from file
2016/11/19 03:45:21 | INFO: Locally optimized native BigInteger? library loaded from file
2016/11/19 03:45:45 | Warning: Unable to reach any of the NTP servers [0.us.pool.ntp.org, 1.us.pool.ntp.org, 2.us.pool.ntp.org, 0.north-america.pool.ntp.org, 1.north-america.pool.ntp.org, 2.north-america.pool.ntp.org, 0.pool.ntp.org, 1.pool.ntp.org, 2.pool.ntp.org] - network disconnected? Or set time.sntpServerList=myserver1.com,myserver2.com in advanced configuration.
2016/11/19 05:27:49 | CRIT [uterWatchdog] 2p.router.tasks.RouterWatchdog?: Router appears hung, or there is severe network congestion. Watchdog starts barking!
2016/11/19 06:30:39 | CRIT [uterWatchdog] 2p.router.tasks.RouterWatchdog?: Router appears hung, or there is severe network congestion. Watchdog starts barking!

comment:4 in reply to: ↑ 2 Changed 2 years ago by anonymous maybe

Replying to echelon:

Just want to add a issue found in logs:
Unable to write to the configured log directory: C:\Documents and Settings\ehrecep\Application Data\i2p (The system cannot find the path specified. (0x3))
The directory does not exist
Fix that config.

well how ?

comment:5 Changed 2 years ago by zzz

the issue echelon notes in comment 2 above already has its own ticket which was opened by echelon himself, #1410. This issue is unrelated to the watchdog issue in the OP here.

comment:6 Changed 2 years ago by anonymous maybe

  • Resolution not a bug deleted
  • Status changed from closed to reopened

some suggested that increasing the maxmemory will fix the issue.

running this command:-

sudo nano /etc/i2p/wrapper.config

and adjusting it to 250 something then restart the router

well the idea worked fine for the first day , then everything went the same.

to add more logs , well here is the current logs of the router running inside debian jessie:-

  • I2P Version and Running Environment

I2P version: 0.9.27-0-1~deb8u+1
Java version: Oracle Corporation 1.7.0_111 (OpenJDK Runtime Environment 1.7.0_111-b01)
Wrapper version: 3.5.25
Server version: 8.1.16.v20140903
Servlet version: Jasper JSP 2.1 Engine
JSTL version: standard-taglib 1.2.0
Platform: Linux amd64 3.16.0-4-amd64
Jcpuid version: 3
Processor: Westmere (corei)
Jbigi: Locally optimized native BigInteger? library loaded from file
Jbigi version: 4
GMP version: 6.0.0
Encoding: UTF-8
Charset: UTF-8

  • Critical Logs

11/19/16 10:01:58 PM CRIT [uterWatchdog] 2p.router.tasks.RouterWatchdog?: Router appears hung, or there is severe network congestion. Watchdog starts barking!
11/19/16 7:10:58 AM CRIT [uterWatchdog] 2p.router.tasks.RouterWatchdog?: Router appears hung, or there is severe network congestion. Watchdog starts barking!
11/19/16 6:40:58 AM CRIT [uterWatchdog] 2p.router.tasks.RouterWatchdog?: Router appears hung, or there is severe network congestion. Watchdog starts barking!

  • Router Logs

11/19/16 10:02:58 PM ERROR [uterWatchdog] 2p.router.tasks.RouterWatchdog?: Memory: 23.78MB / 114.00MB
11/19/16 10:02:58 PM ERROR [uterWatchdog] 2p.router.tasks.RouterWatchdog?: Outbound send rate: 326Bps
11/19/16 10:02:58 PM ERROR [uterWatchdog] 2p.router.tasks.RouterWatchdog?: 1 minute send processing time: 395ms
11/19/16 10:02:58 PM ERROR [uterWatchdog] 2p.router.tasks.RouterWatchdog?: Participating tunnel count: 1
11/19/16 10:02:58 PM ERROR [uterWatchdog] 2p.router.tasks.RouterWatchdog?: Job lag: 0
11/19/16 10:02:58 PM ERROR [uterWatchdog] 2p.router.tasks.RouterWatchdog?: Ready and waiting jobs: 0
11/19/16 10:02:58 PM ERROR [uterWatchdog] client.ClientManagerFacadeImpl?: Client 3X5qeY has a leaseSet that expired 11m ago
11/19/16 10:01:58 PM CRIT [uterWatchdog] 2p.router.tasks.RouterWatchdog?: Router appears hung, or there is severe network congestion. Watchdog starts barking!
11/19/16 10:01:58 PM ERROR [uterWatchdog] 2p.router.tasks.RouterWatchdog?: Memory: 35.11MB / 114.00MB
11/19/16 10:01:58 PM ERROR [uterWatchdog] 2p.router.tasks.RouterWatchdog?: Outbound send rate: 1.23KBps
11/19/16 10:01:58 PM ERROR [uterWatchdog] 2p.router.tasks.RouterWatchdog?: 1 minute send processing time: 300ms
11/19/16 10:01:58 PM ERROR [uterWatchdog] 2p.router.tasks.RouterWatchdog?: Participating tunnel count: 1
11/19/16 10:01:58 PM ERROR [uterWatchdog] 2p.router.tasks.RouterWatchdog?: Job lag: 0
11/19/16 10:01:58 PM ERROR [uterWatchdog] 2p.router.tasks.RouterWatchdog?: Ready and waiting jobs: 0
11/19/16 10:01:58 PM ERROR [uterWatchdog] client.ClientManagerFacadeImpl?: Client 3X5qeY has a leaseSet that expired 10m ago
11/19/16 7:13:58 AM ERROR [uterWatchdog] 2p.router.tasks.RouterWatchdog?: Memory: 42.71MB / 114.00MB
11/19/16 7:13:58 AM ERROR [uterWatchdog] 2p.router.tasks.RouterWatchdog?: Outbound send rate: 943Bps
11/19/16 7:13:58 AM ERROR [uterWatchdog] 2p.router.tasks.RouterWatchdog?: 1 minute send processing time: 395ms
11/19/16 7:13:58 AM ERROR [uterWatchdog] 2p.router.tasks.RouterWatchdog?: Participating tunnel count: 2
11/19/16 7:13:58 AM ERROR [uterWatchdog] 2p.router.tasks.RouterWatchdog?: Job lag: 0

  • Service (Wrapper) Logs

2016/11/10 09:44:34 | at java.util.concurrent.locks.AbstractQueuedSynchronizer?$ConditionObject?.await(AbstractQueuedSynchronizer?.java:2043)
2016/11/10 09:44:34 | at java.util.concurrent.LinkedBlockingQueue?.take(LinkedBlockingQueue?.java:442)
2016/11/10 09:44:34 | at gnu.crypto.prng.AsyncFortunaStandalone?.run(AsyncFortunaStandalone?.java:134)
2016/11/10 09:44:34 | at java.lang.Thread.run(Thread.java:745)
2016/11/10 09:44:34 | at net.i2p.util.I2PThread.run(I2PThread.java:103)
2016/11/10 09:44:34 |
2016/11/10 09:44:34 | "SimpleTimer2 4/4" daemon prio=10 tid=0x0000000000fb8800 nid=0xa76 waiting on condition [0x00007fa430fb9000]
2016/11/10 09:44:34 | java.lang.Thread.State: WAITING (parking)
2016/11/10 09:44:34 | at sun.misc.Unsafe.park(Native Method)
2016/11/10 09:44:34 | - parking to wait for <0x00000000f8322b08> (a java.util.concurrent.locks.AbstractQueuedSynchronizer?$ConditionObject?)
2016/11/10 09:44:34 | at java.util.concurrent.locks.LockSupport?.park(LockSupport?.java:186)
2016/11/10 09:44:34 | at java.util.concurrent.locks.AbstractQueuedSynchronizer?$ConditionObject?.await(AbstractQueuedSynchronizer?.java:2043)
2016/11/10 09:44:34 | at java.util.concurrent.ScheduledThreadPoolExecutor?$DelayedWorkQueue?.take(ScheduledThreadPoolExecutor?.java:1085)
2016/11/10 09:44:34 | at java.util.concurrent.ScheduledThreadPoolExecutor?$DelayedWorkQueue?.take(ScheduledThreadPoolExecutor?.java:807)
2016/11/10 09:44:34 | at java.util.concurrent.ThreadPoolExecutor?.getTask(ThreadPoolExecutor?.java:1068)
2016/11/10 09:44:34 | at java.util.concurrent.ThreadPoolExecutor?.runWorker(ThreadPoolExecutor?.java:1130)
2016/11/10 09:44:34 | at java.util.concurrent.ThreadPoolExecutor?$Worker.run(ThreadPoolExecutor?.java:615)
2016/11/10 09:44:34 | at java.lang.Thread.run(Thread.java:745)
2016/11/10 09:44:34 |
2016/11/10 09:44:34 | "SimpleTimer2 3/4" daemon prio=10 tid=0x0000000000fb6800 nid=0xa75 waiting on condition [0x00007fa4310ba000]
2016/11/10 09:44:34 | java.lang.Thread.State: TIMED_WAITING (parking)
2016/11/10 09:44:34 | at sun.misc.Unsafe.park(Native Method)
2016/11/10 09:44:34 | - parking to wait for <0x00000000f8322b08> (a java.util.concurrent.locks.AbstractQueuedSynchronizer?$ConditionObject?)
2016/11/10 09:44:34 | at java.util.concurrent.locks.LockSupport?.parkNanos(LockSupport?.java:226)
2016/11/10 09:44:34 | at java.util.concurrent.locks.AbstractQueuedSynchronizer?$ConditionObject?.awaitNanos(AbstractQueuedSynchronizer?.java:2082)
2016/11/10 09:44:34 | at java.util.concurrent.ScheduledThreadPoolExecutor?$DelayedWorkQueue?.take(ScheduledThreadPoolExecutor?.java:1090)
2016/11/10 09:44:34 | at java.util.concurrent.ScheduledThreadPoolExecutor?$DelayedWorkQueue?.take(ScheduledThreadPoolExecutor?.java:807)
2016/11/10 09:44:34 | at java.util.concurrent.ThreadPoolExecutor?.getTask(ThreadPoolExecutor?.java:1068)
2016/11/10 09:44:34 | at java.util.concurrent.ThreadPoolExecutor?.runWorker(ThreadPoolExecutor?.java:1130)
2016/11/10 09:44:34 | at java.util.concurrent.ThreadPoolExecutor?$Worker.run(ThreadPoolExecutor?.java:615)
2016/11/10 09:44:34 | at java.lang.Thread.run(Thread.java:745)
2016/11/10 09:44:34 |
2016/11/10 09:44:34 | "SimpleTimer2 2/4" daemon prio=10 tid=0x0000000000fb5000 nid=0xa74 waiting on condition [0x00007fa4311bb000]
2016/11/10 09:44:34 | java.lang.Thread.State: WAITING (parking)
2016/11/10 09:44:34 | at sun.misc.Unsafe.park(Native Method)
2016/11/10 09:44:34 | - parking to wait for <0x00000000f8322b08> (a java.util.concurrent.locks.AbstractQueuedSynchronizer?$ConditionObject?)
2016/11/10 09:44:34 | at java.util.concurrent.locks.LockSupport?.park(LockSupport?.java:186)
2016/11/10 09:44:34 | at java.util.concurrent.locks.AbstractQueuedSynchronizer?$ConditionObject?.await(AbstractQueuedSynchronizer?.java:2043)
2016/11/10 09:44:34 | at java.util.concurrent.ScheduledThreadPoolExecutor?$DelayedWorkQueue?.take(ScheduledThreadPoolExecutor?.java:1085)
2016/11/10 09:44:34 | at java.util.concurrent.ScheduledThreadPoolExecutor?$DelayedWorkQueue?.take(ScheduledThreadPoolExecutor?.java:807)
2016/11/10 09:44:34 | at java.util.concurrent.ThreadPoolExecutor?.getTask(ThreadPoolExecutor?.java:1068)
2016/11/10 09:44:34 | at java.util.concurrent.ThreadPoolExecutor?.runWorker(ThreadPoolExecutor?.java:1130)
2016/11/10 09:44:34 | at java.util.concurrent.ThreadPoolExecutor?$Worker.run(ThreadPoolExecutor?.java:615)
2016/11/10 09:44:34 | at java.lang.Thread.run(Thread.java:745)
2016/11/10 09:44:34 |
2016/11/10 09:44:34 | "SimpleTimer2 1/4" daemon prio=10 tid=0x0000000000faf800 nid=0xa73 waiting on condition [0x00007fa4312bc000]
2016/11/10 09:44:34 | java.lang.Thread.State: WAITING (parking)
2016/11/10 09:44:34 | at sun.misc.Unsafe.park(Native Method)
2016/11/10 09:44:34 | - parking to wait for <0x00000000f8322b08> (a java.util.concurrent.locks.AbstractQueuedSynchronizer?$ConditionObject?)
2016/11/10 09:44:34 | at java.util.concurrent.locks.LockSupport?.park(LockSupport?.java:186)
2016/11/10 09:44:34 | at java.util.concurrent.locks.AbstractQueuedSynchronizer?$ConditionObject?.await(AbstractQueuedSynchronizer?.java:2043)
2016/11/10 09:44:34 | at java.util.concurrent.ScheduledThreadPoolExecutor?$DelayedWorkQueue?.take(ScheduledThreadPoolExecutor?.java:1085)
2016/11/10 09:44:34 | at java.util.concurrent.ScheduledThreadPoolExecutor?$DelayedWorkQueue?.take(ScheduledThreadPoolExecutor?.java:807)
2016/11/10 09:44:34 | at java.util.concurrent.ThreadPoolExecutor?.getTask(ThreadPoolExecutor?.java:1068)
2016/11/10 09:44:34 | at java.util.concurrent.ThreadPoolExecutor?.runWorker(ThreadPoolExecutor?.java:1130)
2016/11/10 09:44:34 | at java.util.concurrent.ThreadPoolExecutor?$Worker.run(ThreadPoolExecutor?.java:615)
2016/11/10 09:44:34 | at java.lang.Thread.run(Thread.java:745)
2016/11/10 09:44:34 |
2016/11/10 09:44:34 | "LogWriter?" daemon prio=10 tid=0x0000000000fa6000 nid=0xa72 in Object.wait() [0x00007fa4313bd000]
2016/11/10 09:44:34 | java.lang.Thread.State: TIMED_WAITING (on object monitor)
2016/11/10 09:44:34 | at java.lang.Object.wait(Native Method)
2016/11/10 09:44:34 | - waiting on <0x00000000f82bf0e8> (a net.i2p.util.FileLogWriter?)
2016/11/10 09:44:34 | at net.i2p.util.LogWriter?.flushRecords(LogWriter?.java:125)
2016/11/10 09:44:34 | - locked <0x00000000f82bf0e8> (a net.i2p.util.FileLogWriter?)
2016/11/10 09:44:34 | at net.i2p.util.LogWriter?.flushRecords(LogWriter?.java:90)
2016/11/10 09:44:34 | at net.i2p.util.LogWriter?.run(LogWriter?.java:79)
2016/11/10 09:44:34 | at java.lang.Thread.run(Thread.java:745)
2016/11/10 09:44:34 | at net.i2p.util.I2PThread.run(I2PThread.java:103)
2016/11/10 09:44:34 |
2016/11/10 09:44:34 | "Timestamper" daemon prio=10 tid=0x0000000000f78800 nid=0xa71 waiting on condition [0x00007fa4316d8000]
2016/11/10 09:44:34 | java.lang.Thread.State: TIMED_WAITING (sleeping)
2016/11/10 09:44:34 | at java.lang.Thread.sleep(Native Method)
2016/11/10 09:44:34 | at net.i2p.router.time.RouterTimestamper?.run(RouterTimestamper?.java:252)
2016/11/10 09:44:34 | at java.lang.Thread.run(Thread.java:745)
2016/11/10 09:44:34 | at net.i2p.util.I2PThread.run(I2PThread.java:103)
2016/11/10 09:44:34 |
2016/11/10 09:44:34 | "DestroyJavaVM" prio=10 tid=0x00007fa44c00b000 nid=0xa5d waiting on condition [0x0000000000000000]
2016/11/10 09:44:34 | java.lang.Thread.State: RUNNABLE
2016/11/10 09:44:34 |
2016/11/10 09:44:34 | "Wrapper-Connection" daemon prio=10 tid=0x00007fa44c36a000 nid=0xa6e runnable [0x00007fa4319db000]
2016/11/10 09:44:34 | java.lang.Thread.State: RUNNABLE
2016/11/10 09:44:34 | at java.net.SocketInputStream?.socketRead0(Native Method)
2016/11/10 09:44:34 | at java.net.SocketInputStream?.read(SocketInputStream?.java:152)
2016/11/10 09:44:34 | at java.net.SocketInputStream?.read(SocketInputStream?.java:122)
2016/11/10 09:44:34 | at java.net.SocketInputStream?.read(SocketInputStream?.java:210)
2016/11/10 09:44:34 | at java.io.DataInputStream?.readByte(DataInputStream?.java:265)
2016/11/10 09:44:34 | at org.tanukisoftware.wrapper.WrapperManager?.handleBackend(WrapperManager?.java:5355)
2016/11/10 09:44:34 | at org.tanukisoftware.wrapper.WrapperManager?.run(WrapperManager?.java:5732)
2016/11/10 09:44:34 | at java.lang.Thread.run(Thread.java:745)
2016/11/10 09:44:34 |
2016/11/10 09:44:34 | "Wrapper-Control-Event-Monitor" daemon prio=10 tid=0x00007fa44c34f000 nid=0xa6c waiting on condition [0x00007fa431bdd000]
2016/11/10 09:44:34 | java.lang.Thread.State: TIMED_WAITING (sleeping)
2016/11/10 09:44:34 | at java.lang.Thread.sleep(Native Method)
2016/11/10 09:44:34 | at org.tanukisoftware.wrapper.WrapperManager?$3.run(WrapperManager?.java:1018)
2016/11/10 09:44:34 |
2016/11/10 09:44:34 | "Service Thread" daemon prio=10 tid=0x00007fa44c0ab000 nid=0xa66 runnable [0x0000000000000000]
2016/11/10 09:44:34 | java.lang.Thread.State: RUNNABLE
2016/11/10 09:44:34 |
2016/11/10 09:44:34 | "C2 CompilerThread1" daemon prio=10 tid=0x00007fa44c0a8800 nid=0xa65 waiting on condition [0x0000000000000000]
2016/11/10 09:44:34 | java.lang.Thread.State: RUNNABLE
2016/11/10 09:44:34 |
2016/11/10 09:44:34 | "C2 CompilerThread0" daemon prio=10 tid=0x00007fa44c0a5800 nid=0xa64 waiting on condition [0x0000000000000000]
2016/11/10 09:44:34 | java.lang.Thread.State: RUNNABLE
2016/11/10 09:44:34 |
2016/11/10 09:44:34 | "Signal Dispatcher" daemon prio=10 tid=0x00007fa44c0a3800 nid=0xa63 waiting on condition [0x0000000000000000]
2016/11/10 09:44:34 | java.lang.Thread.State: RUNNABLE
2016/11/10 09:44:34 |
2016/11/10 09:44:34 | "Finalizer" daemon prio=10 tid=0x00007fa44c078800 nid=0xa62 in Object.wait() [0x00007fa4482fe000]
2016/11/10 09:44:34 | java.lang.Thread.State: WAITING (on object monitor)
2016/11/10 09:44:34 | at java.lang.Object.wait(Native Method)
2016/11/10 09:44:34 | - waiting on <0x00000000f82e7c20> (a java.lang.ref.ReferenceQueue?$Lock)
2016/11/10 09:44:34 | at java.lang.ref.ReferenceQueue?.remove(ReferenceQueue?.java:135)
2016/11/10 09:44:34 | - locked <0x00000000f82e7c20> (a java.lang.ref.ReferenceQueue?$Lock)
2016/11/10 09:44:34 | at java.lang.ref.ReferenceQueue?.remove(ReferenceQueue?.java:151)
2016/11/10 09:44:34 | at java.lang.ref.Finalizer$FinalizerThread?.run(Finalizer.java:209)
2016/11/10 09:44:34 |
2016/11/10 09:44:34 | "Reference Handler" daemon prio=10 tid=0x00007fa44c076800 nid=0xa61 in Object.wait() [0x00007fa4483ff000]
2016/11/10 09:44:34 | java.lang.Thread.State: WAITING (on object monitor)
2016/11/10 09:44:34 | at java.lang.Object.wait(Native Method)
2016/11/10 09:44:34 | - waiting on <0x00000000f82e77b8> (a java.lang.ref.Reference$Lock)
2016/11/10 09:44:34 | at java.lang.Object.wait(Object.java:503)
2016/11/10 09:44:34 | at java.lang.ref.Reference$ReferenceHandler?.run(Reference.java:133)
2016/11/10 09:44:34 | - locked <0x00000000f82e77b8> (a java.lang.ref.Reference$Lock)
2016/11/10 09:44:34 |
2016/11/10 09:44:34 | "VM Thread" prio=10 tid=0x00007fa44c072800 nid=0xa60 runnable
2016/11/10 09:44:34 |
2016/11/10 09:44:34 | "GC task thread#0 (ParallelGC)" prio=10 tid=0x00007fa44c021000 nid=0xa5e runnable
2016/11/10 09:44:34 |
2016/11/10 09:44:34 | "GC task thread#1 (ParallelGC)" prio=10 tid=0x00007fa44c023000 nid=0xa5f runnable
2016/11/10 09:44:34 |
2016/11/10 09:44:34 | "VM Periodic Task Thread" prio=10 tid=0x00007fa44c0b5800 nid=0xa67 waiting on condition
2016/11/10 09:44:34 |
2016/11/10 09:44:34 | JNI global references: 4752
2016/11/10 09:44:34 |
2016/11/10 09:44:34 | Heap
2016/11/10 09:44:34 | PSYoungGen total 18432K, used 11894K [0x00000000fd500000, 0x00000000fe900000, 0x0000000100000000)
2016/11/10 09:44:34 | eden space 16384K, 62% used [0x00000000fd500000,0x00000000fdefbba8,0x00000000fe500000)
2016/11/10 09:44:34 | from space 2048K, 81% used [0x00000000fe500000,0x00000000fe6a1dc8,0x00000000fe700000)
2016/11/10 09:44:34 | to space 2048K, 0% used [0x00000000fe700000,0x00000000fe700000,0x00000000fe900000)
2016/11/10 09:44:34 | ParOldGen? total 34816K, used 20242K [0x00000000f8000000, 0x00000000fa200000, 0x00000000fd500000)
2016/11/10 09:44:34 | object space 34816K, 58% used [0x00000000f8000000,0x00000000f93c4ac8,0x00000000fa200000)
2016/11/10 09:44:34 | PSPermGen total 49152K, used 35947K [0x00000000eda00000, 0x00000000f0a00000, 0x00000000f8000000)
2016/11/10 09:44:34 | object space 49152K, 73% used [0x00000000eda00000,0x00000000efd1ae88,0x00000000f0a00000)
2016/11/10 09:44:34 |
2016/11/10 10:02:47 | CRIT [ShutdownHook?] net.i2p.router.Router : Graceful shutdown progress: No more tunnels, starting final shutdown
2016/11/10 10:02:47 | CRIT [ShutdownHook?] net.i2p.router.Router : Starting final shutdown(5)
2016/11/10 10:02:47 | CRIT [ShutdownHook?] net.i2p.router.Router : Shutdown(5) complete
2016/11/10 10:02:49 | on_exit trigger matched. Restarting the JVM. (Exit code: 5)
2016/11/10 10:03:04 | Launching a JVM...
2016/11/10 10:03:04 | WrapperManager?: Initializing...
2016/11/10 10:03:05 | Starting I2P 0.9.27-0-1~deb8u+1
2016/11/10 10:03:05 | INFO: Native CPUID library jcpuid-x86-linux loaded from file
2016/11/10 10:03:05 | INFO: Locally optimized native BigInteger? library loaded from file
2016/11/15 09:59:37 | Reseed start
2016/11/15 09:59:37 | Reseeding from https://uk.reseed.i2p2.no:444/i2pseeds.su3
2016/11/15 09:59:40 | INFO: 60 files extracted to /tmp/i2p-xqBx951x.tmp/reseeds-236512935
2016/11/15 09:59:40 | Reseed got 60 router infos from https://uk.reseed.i2p2.no:444/i2pseeds.su3 with 0 errors
2016/11/15 09:59:40 | Reseeding from https://download.xxlspeed.com/i2pseeds.su3
2016/11/15 09:59:43 | INFO: 77 files extracted to /tmp/i2p-xqBx951x.tmp/reseeds-921763607
2016/11/15 09:59:43 | Reseed got 77 router infos from https://download.xxlspeed.com/i2pseeds.su3 with 0 errors
2016/11/15 09:59:43 | Reseed complete, 137 received
2016/11/16 06:59:47 | Reseed start
2016/11/16 06:59:47 | Reseeding from https://i2p.mooo.com/netDb/i2pseeds.su3
2016/11/16 06:59:48 | INFO: 80 files extracted to /tmp/i2p-xqBx951x.tmp/reseeds-351680885
2016/11/16 06:59:48 | Reseed got 80 router infos from https://i2p.mooo.com/netDb/i2pseeds.su3 with 0 errors
2016/11/16 06:59:48 | Reseeding from https://i2p-0.manas.ca:8443/i2pseeds.su3
2016/11/16 06:59:51 | INFO: 77 files extracted to /tmp/i2p-xqBx951x.tmp/reseeds-467867174
2016/11/16 06:59:51 | Reseed got 77 router infos from https://i2p-0.manas.ca:8443/i2pseeds.su3 with 0 errors
2016/11/16 06:59:51 | Reseed complete, 157 received
2016/11/16 10:11:51 | Reseed start
2016/11/16 10:11:51 | Reseeding from https://i2p.mooo.com/netDb/i2pseeds.su3
2016/11/16 10:11:53 | INFO: 80 files extracted to /tmp/i2p-xqBx951x.tmp/reseeds-245465791
2016/11/16 10:11:53 | Reseed got 80 router infos from https://i2p.mooo.com/netDb/i2pseeds.su3 with 0 errors
2016/11/16 10:11:53 | Reseeding from https://reseed.atomike.ninja/i2pseeds.su3
2016/11/16 10:11:55 | INFO: 77 files extracted to /tmp/i2p-xqBx951x.tmp/reseeds-93222025
2016/11/16 10:11:55 | Reseed got 77 router infos from https://reseed.atomike.ninja/i2pseeds.su3 with 0 errors
2016/11/16 10:11:55 | Reseed complete, 157 received
2016/11/16 11:41:55 | Reseed start
2016/11/16 11:41:55 | Reseeding from https://reseed.atomike.ninja/i2pseeds.su3
2016/11/16 11:41:57 | INFO: 77 files extracted to /tmp/i2p-xqBx951x.tmp/reseeds-7955444
2016/11/16 11:41:57 | Reseed got 77 router infos from https://reseed.atomike.ninja/i2pseeds.su3 with 0 errors
2016/11/16 11:41:57 | Reseeding from https://i2p.mooo.com/netDb/i2pseeds.su3
2016/11/16 11:41:58 | INFO: 80 files extracted to /tmp/i2p-xqBx951x.tmp/reseeds-348890010
2016/11/16 11:41:58 | Reseed got 80 router infos from https://i2p.mooo.com/netDb/i2pseeds.su3 with 0 errors
2016/11/16 11:41:58 | Reseed complete, 157 received
2016/11/16 13:11:59 | Reseed start
2016/11/16 13:11:59 | Reseeding from https://i2p.mooo.com/netDb/i2pseeds.su3
2016/11/16 13:12:00 | INFO: 80 files extracted to /tmp/i2p-xqBx951x.tmp/reseeds-844256003
2016/11/16 13:12:00 | Reseed got 80 router infos from https://i2p.mooo.com/netDb/i2pseeds.su3 with 0 errors
2016/11/16 13:12:00 | Reseeding from https://netdb.i2p2.no/i2pseeds.su3
2016/11/16 13:12:03 | INFO: 75 files extracted to /tmp/i2p-xqBx951x.tmp/reseeds-824671411
2016/11/16 13:12:03 | Reseed got 75 router infos from https://netdb.i2p2.no/i2pseeds.su3 with 0 errors
2016/11/16 13:12:03 | Reseed complete, 155 received
2016/11/16 14:42:04 | Reseed start
2016/11/16 14:42:04 | Reseeding from https://i2p.manas.ca:8443/i2pseeds.su3
2016/11/16 14:42:06 | INFO: 77 files extracted to /tmp/i2p-xqBx951x.tmp/reseeds-595590426
2016/11/16 14:42:06 | Reseed got 77 router infos from https://i2p.manas.ca:8443/i2pseeds.su3 with 0 errors
2016/11/16 14:42:06 | Reseeding from https://download.xxlspeed.com/i2pseeds.su3
2016/11/16 14:42:09 | INFO: 77 files extracted to /tmp/i2p-xqBx951x.tmp/reseeds-779352391
2016/11/16 14:42:09 | Reseed got 77 router infos from https://download.xxlspeed.com/i2pseeds.su3 with 0 errors
2016/11/16 14:42:09 | Reseed complete, 154 received
2016/11/16 15:05:26 | Reseed start
2016/11/16 15:05:26 | Reseeding from https://i2p.manas.ca:8443/i2pseeds.su3
2016/11/16 15:05:29 | INFO: 77 files extracted to /tmp/i2p-xqBx951x.tmp/reseeds-953100997
2016/11/16 15:05:29 | Reseed got 77 router infos from https://i2p.manas.ca:8443/i2pseeds.su3 with 0 errors
2016/11/16 15:05:29 | Reseeding from https://reseed.atomike.ninja/i2pseeds.su3
2016/11/16 15:05:30 | INFO: 77 files extracted to /tmp/i2p-xqBx951x.tmp/reseeds-986772522
2016/11/16 15:05:30 | Reseed got 77 router infos from https://reseed.atomike.ninja/i2pseeds.su3 with 0 errors
2016/11/16 15:05:30 | Reseed complete, 154 received
2016/11/16 15:07:02 | CRIT [ShutdownHook?] net.i2p.router.Router : Graceful shutdown progress: No more tunnels, starting final shutdown
2016/11/16 15:07:02 | CRIT [ShutdownHook?] net.i2p.router.Router : Starting final shutdown(5)
2016/11/16 15:07:02 | CRIT [ShutdownHook?] net.i2p.router.Router : Shutdown(5) complete
2016/11/16 15:07:04 | on_exit trigger matched. Restarting the JVM. (Exit code: 5)
2016/11/16 15:07:18 | Launching a JVM...
2016/11/16 15:07:19 | WrapperManager?: Initializing...
2016/11/16 15:07:19 | Starting I2P 0.9.27-0-1~deb8u+1
2016/11/16 15:07:19 | INFO: Native CPUID library jcpuid-x86-linux loaded from file
2016/11/16 15:07:19 | INFO: Locally optimized native BigInteger? library loaded from file
2016/11/18 06:45:20 | CRIT [uterWatchdog] 2p.router.tasks.RouterWatchdog?: Router appears hung, or there is severe network congestion. Watchdog starts barking!
2016/11/18 10:02:32 | CRIT [uterWatchdog] 2p.router.tasks.RouterWatchdog?: Router appears hung, or there is severe network congestion. Watchdog starts barking!
2016/11/18 14:43:21 | CRIT [uterWatchdog] 2p.router.tasks.RouterWatchdog?: Router appears hung, or there is severe network congestion. Watchdog starts barking!
2016/11/18 20:57:28 | CRIT [uterWatchdog] 2p.router.tasks.RouterWatchdog?: Router appears hung, or there is severe network congestion. Watchdog starts barking!
2016/11/19 02:54:39 | CRIT [uterWatchdog] 2p.router.tasks.RouterWatchdog?: Router appears hung, or there is severe network congestion. Watchdog starts barking!
2016/11/19 03:35:44 | CRIT [uterWatchdog] 2p.router.tasks.RouterWatchdog?: Router appears hung, or there is severe network congestion. Watchdog starts barking!
2016/11/19 03:44:59 | CRIT [ShutdownHook?] net.i2p.router.Router : Graceful shutdown progress: No more tunnels, starting final shutdown
2016/11/19 03:45:03 | CRIT [ShutdownHook?] net.i2p.router.Router : Starting final shutdown(5)
2016/11/19 03:45:03 | CRIT [ShutdownHook?] net.i2p.router.Router : Shutdown(5) complete
2016/11/19 03:45:06 | on_exit trigger matched. Restarting the JVM. (Exit code: 5)
2016/11/19 03:45:20 | Launching a JVM...
2016/11/19 03:45:20 | WrapperManager?: Initializing...
2016/11/19 03:45:20 | Starting I2P 0.9.27-0-1~deb8u+1
2016/11/19 03:45:21 | INFO: Native CPUID library jcpuid-x86-linux loaded from file
2016/11/19 03:45:21 | INFO: Locally optimized native BigInteger? library loaded from file
2016/11/19 03:45:45 | Warning: Unable to reach any of the NTP servers [0.us.pool.ntp.org, 1.us.pool.ntp.org, 2.us.pool.ntp.org, 0.north-america.pool.ntp.org, 1.north-america.pool.ntp.org, 2.north-america.pool.ntp.org, 0.pool.ntp.org, 1.pool.ntp.org, 2.pool.ntp.org] - network disconnected? Or set time.sntpServerList=myserver1.com,myserver2.com in advanced configuration.
2016/11/19 05:27:49 | CRIT [uterWatchdog] 2p.router.tasks.RouterWatchdog?: Router appears hung, or there is severe network congestion. Watchdog starts barking!
2016/11/19 06:30:39 | CRIT [uterWatchdog] 2p.router.tasks.RouterWatchdog?: Router appears hung, or there is severe network congestion. Watchdog starts barking!
2016/11/19 10:37:38 | CRIT [uterWatchdog] 2p.router.tasks.RouterWatchdog?: Router appears hung, or there is severe network congestion. Watchdog starts barking!
2016/11/19 13:34:03 | CRIT [ShutdownHook?] net.i2p.router.Router : Graceful shutdown progress: No more tunnels, starting final shutdown
2016/11/19 13:34:03 | CRIT [ShutdownHook?] net.i2p.router.Router : Starting final shutdown(5)
2016/11/19 13:34:03 | CRIT [ShutdownHook?] net.i2p.router.Router : Shutdown(5) complete
2016/11/19 13:34:05 | on_exit trigger matched. Restarting the JVM. (Exit code: 5)
2016/11/19 13:34:19 | Launching a JVM...
2016/11/19 13:34:20 | WrapperManager?: Initializing...
2016/11/19 13:34:20 | Starting I2P 0.9.27-0-1~deb8u+1
2016/11/19 13:34:20 | INFO: Native CPUID library jcpuid-x86-linux loaded from file
2016/11/19 13:34:20 | INFO: Locally optimized native BigInteger? library loaded from file
2016/11/19 19:41:40 | CRIT [uterWatchdog] 2p.router.tasks.RouterWatchdog?: Router appears hung, or there is severe network congestion. Watchdog starts barking!
2016/11/19 20:11:38 | CRIT [uterWatchdog] 2p.router.tasks.RouterWatchdog?: Router appears hung, or there is severe network congestion. Watchdog starts barking!
2016/11/20 11:02:26 | CRIT [uterWatchdog] 2p.router.tasks.RouterWatchdog?: Router appears hung, or there is severe network congestion. Watchdog starts barking!


comment:7 Changed 2 years ago by zzz

  • Resolution set to not a bug
  • Status changed from reopened to closed

Your change of max memory didn't take effect, it's still at about 114 MB as you can see in the logs above. Did you completely stop and then start the router, not just click restart, as it says at the top of the wrapper.config file? It looks like your computer is overloaded, the java process is not getting to run, either you have your max bandwidth set too high, or it's spending too much time in GC, or some other problem. Impossible to diagnose from here, but it's not a bug on our side.

comment:8 Changed 2 years ago by anonymous maybe

refer to this ticket because i added more logs from different pcs #1901

Note: See TracTickets for help on using tickets.